Index: /inundation/ga/storm_surge/pyvolution/test_domain.py
===================================================================
--- /inundation/ga/storm_surge/pyvolution/test_domain.py	(revision 1017)
+++ /inundation/ga/storm_surge/pyvolution/test_domain.py	(revision 1018)
@@ -18,27 +18,27 @@
         #print 'bottom - indexes',elements
         domain.set_quantity('friction', 0.09, indexes = elements)
- 
+
 def set_top_friction(tag, elements, domain):
     if tag == "top":
         #print 'top - indexes',elements
         domain.set_quantity('friction', 1., indexes = elements)
-        
- 
+
+
 def set_all_friction(tag, elements, domain):
     if tag == "all":
         new_values = domain.get_quantity('friction', indexes = elements) + 10.0
-        
+
         domain.set_quantity('friction', new_values, indexes = elements)
-                  
-      
-class TestCase(unittest.TestCase):
+
+
+class Test_Domain(unittest.TestCase):
     def setUp(self):
         pass
 
-        
+
     def tearDown(self):
         pass
 
-            
+
     def test_simple(self):
         a = [0.0, 0.0]
@@ -50,12 +50,12 @@
 
         points = [a, b, c, d, e, f]
-        #bac, bce, ecf, dbe, daf, dae 
+        #bac, bce, ecf, dbe, daf, dae
         vertices = [ [1,0,2], [1,2,4], [4,2,5], [3,1,4], [3,0,5], [3,0,4]]
 
         conserved_quantities = ['stage', 'xmomentum', 'ymomentum']
         other_quantities = ['elevation', 'friction']
-        
+
         domain = Domain(points, vertices, None,
-                        conserved_quantities, other_quantities)        
+                        conserved_quantities, other_quantities)
         domain.check_integrity()
 
@@ -64,18 +64,18 @@
 
 
-        assert domain.get_conserved_quantities(0, edge=1) == 0.    
+        assert domain.get_conserved_quantities(0, edge=1) == 0.
 
 
     def test_conserved_quantities(self):
-        
-        a = [0.0, 0.0]
-        b = [0.0, 2.0]
-        c = [2.0,0.0]
-        d = [0.0, 4.0]
-        e = [2.0, 2.0]
-        f = [4.0,0.0]
-
-        points = [a, b, c, d, e, f]
-        #bac, bce, ecf, dbe, daf, dae 
+
+        a = [0.0, 0.0]
+        b = [0.0, 2.0]
+        c = [2.0,0.0]
+        d = [0.0, 4.0]
+        e = [2.0, 2.0]
+        f = [4.0,0.0]
+
+        points = [a, b, c, d, e, f]
+        #bac, bce, ecf, dbe, daf, dae
         vertices = [ [1,0,2], [1,2,4], [4,2,5], [3,1,4], [3,0,5], [3,0,4]]
 
@@ -87,9 +87,9 @@
         domain.set_quantity('stage', [[1,2,3], [5,5,5],
                                       [0,0,9], [-6, 3, 3],
-                                      [0,0,0], [0,0,0]])        
+                                      [0,0,0], [0,0,0]])
 
         domain.set_quantity('xmomentum', [[1,2,3], [5,5,5],
                                           [0,0,9], [-6, 3, 3],
-                                          [0,0,0], [0,0,0]])        
+                                          [0,0,0], [0,0,0]])
 
         domain.check_integrity()
@@ -100,5 +100,5 @@
 
         q = domain.get_conserved_quantities(1)
-        assert allclose(q, [5., 5., 0.])         
+        assert allclose(q, [5., 5., 0.])
 
         q = domain.get_conserved_quantities(2)
@@ -106,6 +106,6 @@
 
         q = domain.get_conserved_quantities(3)
-        assert allclose(q, [0., 0., 0.])                         
-        
+        assert allclose(q, [0., 0., 0.])
+
 
         #Edges
@@ -135,5 +135,5 @@
         assert allclose(q, [-1.5, -1.5, 0.])
         q = domain.get_conserved_quantities(3, edge=2)
-        assert allclose(q, [-1.5, -1.5, 0.])                    
+        assert allclose(q, [-1.5, -1.5, 0.])
 
 
@@ -142,7 +142,7 @@
         from config import default_boundary_tag
 
-        
+
         a = [0.0, 0.5]
-        b = [0.0, 0.0]                
+        b = [0.0, 0.0]
         c = [0.5, 0.5]
 
@@ -153,13 +153,13 @@
         domain.set_boundary( {default_boundary_tag: Dirichlet_boundary([5,2,1])} )
 
-        
-        domain.check_integrity()
-
- 	assert allclose(domain.neighbours, [[-1,-2,-3]])	
-		
+
+        domain.check_integrity()
+
+ 	assert allclose(domain.neighbours, [[-1,-2,-3]])
+
 
 
     def test_boundary_conditions(self):
-        
+
         a = [0.0, 0.0]
         b = [0.0, 2.0]
@@ -177,10 +177,10 @@
                      (2, 1): 'Second',
                      (3, 1): 'Second',
-                     (3, 2): 'Second'}                                         
-                     
+                     (3, 2): 'Second'}
+
 
         domain = Domain(points, vertices, boundary,
                         conserved_quantities =\
-                        ['stage', 'xmomentum', 'ymomentum'])        
+                        ['stage', 'xmomentum', 'ymomentum'])
         domain.check_integrity()
 
@@ -205,5 +205,5 @@
                domain.get_conserved_quantities(3, edge=1)[0] #Transmissive (-1.5)
         assert domain.quantities['stage'].boundary_values[5] ==\
-               domain.get_conserved_quantities(3, edge=2)[0] #Transmissive (-1.5)         
+               domain.get_conserved_quantities(3, edge=2)[0] #Transmissive (-1.5)
 
         #Check enumeration
@@ -217,5 +217,5 @@
         """Domain implements a default first order gradient limiter
         """
-        
+
         a = [0.0, 0.0]
         b = [0.0, 2.0]
@@ -233,10 +233,10 @@
                      (2, 1): 'Second',
                      (3, 1): 'Second',
-                     (3, 2): 'Third'}                                         
-                     
+                     (3, 2): 'Third'}
+
 
         domain = Domain(points, vertices, boundary,
                         conserved_quantities =\
-                        ['stage', 'xmomentum', 'ymomentum'])                
+                        ['stage', 'xmomentum', 'ymomentum'])
         domain.check_integrity()
 
@@ -247,10 +247,10 @@
         assert allclose( domain.quantities['stage'].centroid_values,
                          [2,5,3,0] )
-                         
+
         domain.set_quantity('xmomentum', [[1,1,1], [2,2,2],
                                           [3,3,3], [4, 4, 4]])
 
         domain.set_quantity('ymomentum', [[10,10,10], [20,20,20],
-                                          [30,30,30], [40, 40, 40]])        
+                                          [30,30,30], [40, 40, 40]])
 
 
@@ -283,10 +283,10 @@
                      (2, 1): 'Second',
                      (3, 1): 'Second',
-                     (3, 2): 'Third'}                                         
-                     
+                     (3, 2): 'Third'}
+
 
         domain = Domain(points, vertices, boundary,
                         conserved_quantities =\
-                        ['stage', 'xmomentum', 'ymomentum'])                
+                        ['stage', 'xmomentum', 'ymomentum'])
         domain.check_integrity()
 
@@ -295,5 +295,5 @@
         domain.set_quantity('xmomentum', [1,2,3,4], 'centroids')
         domain.set_quantity('ymomentum', [1,2,3,4], 'centroids')
-                                          
+
 
         #Assign some values to update vectors
@@ -303,5 +303,5 @@
             domain.quantities[name].explicit_update = array([4.,3.,2.,1.])
             domain.quantities[name].semi_implicit_update = array([1.,1.,1.,1.])
-            
+
 
         #Update with given timestep (assuming no other forcing terms)
@@ -316,5 +316,5 @@
 
         for name in domain.conserved_quantities:
-            assert allclose(domain.quantities[name].centroid_values, x)   
+            assert allclose(domain.quantities[name].centroid_values, x)
 
 
@@ -322,5 +322,5 @@
         """Set quantities for sub region
         """
-        
+
         a = [0.0, 0.0]
         b = [0.0, 2.0]
@@ -338,9 +338,9 @@
                      (2, 1): 'Second',
                      (3, 1): 'Second',
-                     (3, 2): 'Third'}             
+                     (3, 2): 'Third'}
 
         domain = Domain(points, vertices, boundary,
                         conserved_quantities =\
-                        ['stage', 'xmomentum', 'ymomentum'])                
+                        ['stage', 'xmomentum', 'ymomentum'])
         domain.check_integrity()
 
@@ -350,10 +350,10 @@
         assert allclose( domain.quantities['stage'].centroid_values,
                          [2,5,3,0] )
-                         
+
         domain.set_quantity('xmomentum', [[1,1,1], [2,2,2],
                                           [3,3,3], [4, 4, 4]])
 
         domain.set_quantity('ymomentum', [[10,10,10], [20,20,20],
-                                          [30,30,30], [40, 40, 40]])        
+                                          [30,30,30], [40, 40, 40]])
 
 
@@ -369,8 +369,8 @@
         domain.build_tagged_elements_dictionary({'mound':[0,1]})
         domain.set_region([add_to_verts])
-        
+
         self.failUnless(domain.test == "Mound",
                         'set region failed')
-        
+
 
 
@@ -382,5 +382,5 @@
         from shallow_water import Domain
         from Numeric import zeros, Float
-        
+
         #Create basic mesh
         points, vertices, boundary = rectangular(1, 3)
@@ -392,5 +392,5 @@
                                                  'all':[0,1,2,3,4,5]})
 
-        
+
         #Set friction
         manning = 0.07
@@ -406,5 +406,5 @@
                          [ 1.0,  1.0,  1.0],
                          [ 1.0,  1.0,  1.0]])
-       
+
         domain.set_region([set_all_friction])
         #print domain.quantities['friction'].get_values()
@@ -416,7 +416,9 @@
                          [ 11.0,  11.0,  11.0],
                          [ 11.0,  11.0,  11.0]])
+
+
 #-------------------------------------------------------------
 if __name__ == "__main__":
-    suite = unittest.makeSuite(TestCase,'test')
+    suite = unittest.makeSuite(Test_Domain,'test')
     runner = unittest.TextTestRunner()
     runner.run(suite)
Index: /inundation/ga/storm_surge/pyvolution/test_general_mesh.py
===================================================================
--- /inundation/ga/storm_surge/pyvolution/test_general_mesh.py	(revision 1017)
+++ /inundation/ga/storm_surge/pyvolution/test_general_mesh.py	(revision 1018)
@@ -9,9 +9,9 @@
 from Numeric import allclose, array, ones, Float
 
-        
-class TestCase(unittest.TestCase):
+
+class Test_General_Mesh(unittest.TestCase):
     def setUp(self):
         pass
-        
+
     def tearDown(self):
         pass
@@ -24,12 +24,12 @@
         from shallow_water import Domain
         from Numeric import zeros, Float
-        
+
         #Create basic mesh
         points, vertices, boundary = rectangular(1, 3)
         domain = Domain(points, vertices, boundary)
-        
+
         value = [7]
         indexes = [1]
-        assert  domain.get_vertices() == domain.triangles 
+        assert  domain.get_vertices() == domain.triangles
         assert domain.get_vertices([0,4]) == [domain.triangles[0],
                                               domain.triangles[4]]
@@ -38,10 +38,10 @@
         from shallow_water import Domain
         from Numeric import zeros, Float
-        
+
         #Create basic mesh
         points, vertices, boundary = rectangular(1, 3)
         domain = Domain(points, vertices, boundary)
 
-	assert domain.get_area() == 1.0	        
+	assert domain.get_area() == 1.0
 
 
@@ -53,23 +53,22 @@
         from shallow_water import Domain
         from Numeric import zeros, Float
-        
+
         #Create basic mesh
         points, vertices, boundary = rectangular(1, 3)
         domain = Domain(points, vertices, boundary)
-        
+
         assert  domain.get_unique_vertices() == [0,1,2,3,4,5,6,7]
         unique_vertices = domain.get_unique_vertices([0,1,4])
         unique_vertices.sort()
         assert unique_vertices == [0,1,2,4,5,6,7]
-        
+
         unique_vertices = domain.get_unique_vertices([0,4])
         unique_vertices.sort()
         assert unique_vertices == [0,2,4,5,6,7]
-        
+
 #-------------------------------------------------------------
 if __name__ == "__main__":
-    suite = unittest.makeSuite(TestCase,'test')
+    suite = unittest.makeSuite(Test_General_Mesh,'test')
     runner = unittest.TextTestRunner()
     runner.run(suite)
 
-
Index: /inundation/ga/storm_surge/pyvolution/test_generic_boundary_conditions.py
===================================================================
--- /inundation/ga/storm_surge/pyvolution/test_generic_boundary_conditions.py	(revision 1017)
+++ /inundation/ga/storm_surge/pyvolution/test_generic_boundary_conditions.py	(revision 1018)
@@ -8,10 +8,10 @@
 from Numeric import allclose, array
 
-        
-class TestCase(unittest.TestCase):
+
+class Test_Generic_Boundary_Conditions(unittest.TestCase):
     def setUp(self):
         pass
         #print "  Setting up"
-        
+
     def tearDown(self):
         pass
@@ -28,5 +28,5 @@
         else:
             raise 'Should have raised exception'
-        
+
 
     def test_dirichlet_empty(self):
@@ -50,5 +50,5 @@
         from domain import Domain
         from quantity import Quantity
-        
+
         a = [0.0, 0.0]
         b = [0.0, 2.0]
@@ -62,9 +62,9 @@
         #bac, bce, ecf, dbe
         elements = [ [1,0,2], [1,2,4], [4,2,5], [3,1,4] ]
-        
+
         domain = Domain(points, elements)
         domain.check_integrity()
 
-        domain.conserved_quantities = ['stage', 'ymomentum']        
+        domain.conserved_quantities = ['stage', 'ymomentum']
         domain.quantities['stage'] =\
                                    Quantity(domain, [[1,2,3], [5,5,5],
@@ -110,5 +110,5 @@
         from math import sin, pi
         from config import time_format
-        
+
         a = [0.0, 0.0]
         b = [0.0, 2.0]
@@ -122,5 +122,5 @@
         #bac, bce, ecf, dbe
         elements = [ [1,0,2], [1,2,4], [4,2,5], [3,1,4] ]
-        
+
         domain = Domain(points, elements)
         domain.conserved_quantities = ['stage', 'ymomentum']
@@ -134,5 +134,5 @@
 
         domain.check_integrity()
-        
+
 
         #Write file
@@ -145,17 +145,17 @@
             t_string = time.strftime(time_format, time.gmtime(t))
 
-            fid.write('%s,%f %f\n' %(t_string, 1.0*i, sin(i*2*pi/10))) 
+            fid.write('%s,%f %f\n' %(t_string, 1.0*i, sin(i*2*pi/10)))
         fid.close()
-                      
-        
+
+
         F = File_boundary(filename, domain)
         os.remove(filename)
-        
+
 
         #Check that midpoint coordinates at boundary are correctly computed
-	assert allclose( F.midpoint_coordinates, 
-	                 [[0.0, 3.0], [1.0, 3.0], [0.0, 1.0], 
+	assert allclose( F.midpoint_coordinates,
+	                 [[0.0, 3.0], [1.0, 3.0], [0.0, 1.0],
 			 [1.0, 0.0], [3.0, 0.0], [3.0, 1.0]])
-	
+
         #assert allclose(F.midpoint_coordinates[(3,2)], [0.0, 3.0])
         #assert allclose(F.midpoint_coordinates[(3,1)], [1.0, 3.0])
@@ -163,5 +163,5 @@
         #assert allclose(F.midpoint_coordinates[(0,0)], [1.0, 0.0])
         #assert allclose(F.midpoint_coordinates[(2,0)], [3.0, 0.0])
-        #assert allclose(F.midpoint_coordinates[(2,1)], [3.0, 1.0])          
+        #assert allclose(F.midpoint_coordinates[(2,1)], [3.0, 1.0])
 
 
@@ -177,5 +177,5 @@
         domain.time = 2.5*5*60  #Half way between steps 2 and 3
         q = F.evaluate()
-        assert allclose(q, [2.5, (sin(2*2*pi/10) + sin(3*2*pi/10))/2])        
+        assert allclose(q, [2.5, (sin(2*2*pi/10) + sin(3*2*pi/10))/2])
 
 
@@ -191,5 +191,5 @@
         from math import sin, pi
         from config import time_format
-        
+
         a = [0.0, 0.0]
         b = [0.0, 2.0]
@@ -203,5 +203,5 @@
         #bac, bce, ecf, dbe
         elements = [ [1,0,2], [1,2,4], [4,2,5], [3,1,4] ]
-        
+
         domain = Domain(points, elements)
         domain.conserved_quantities = ['stage', 'xmomentum', 'ymomentum']
@@ -228,7 +228,7 @@
             t_string = time.strftime(time_format, time.gmtime(t))
 
-            fid.write('%s,%f %f\n' %(t_string, 1.0*i, sin(i*2*pi/10))) 
+            fid.write('%s,%f %f\n' %(t_string, 1.0*i, sin(i*2*pi/10)))
         fid.close()
-                      
+
 
         try:
@@ -242,11 +242,11 @@
 
 
-        
+
 #-------------------------------------------------------------
 if __name__ == "__main__":
-    suite = unittest.makeSuite(TestCase,'test')
+    suite = unittest.makeSuite(Test_Generic_Boundary_Conditions,'test')
     runner = unittest.TextTestRunner()
     runner.run(suite)
 
 
-        
+
Index: /inundation/ga/storm_surge/pyvolution/test_interpolate_sww.py
===================================================================
--- /inundation/ga/storm_surge/pyvolution/test_interpolate_sww.py	(revision 1017)
+++ /inundation/ga/storm_surge/pyvolution/test_interpolate_sww.py	(revision 1018)
@@ -16,5 +16,5 @@
 
 
-class dataTestCase(unittest.TestCase):
+class Test_Interpolate_sww(unittest.TestCase):
     def setUp(self):
         import time
@@ -30,17 +30,17 @@
         domain.beta_h = 0
 
-        
+
         #Set some field values
-        domain.set_quantity('elevation', lambda x,y: -x)        
+        domain.set_quantity('elevation', lambda x,y: -x)
         domain.set_quantity('friction', 0.03)
 
 
-        ###################### 
+        ######################
         # Boundary conditions
         B = Transmissive_boundary(domain)
         domain.set_boundary( {'left': B, 'right': B, 'top': B, 'bottom': B})
-        
-
-        ###################### 
+
+
+        ######################
         #Initial condition - with jumps
 
@@ -50,12 +50,12 @@
         h = 0.3
         for i in range(stage.shape[0]):
-            if i % 2 == 0:            
+            if i % 2 == 0:
                 stage[i,:] = bed[i,:] + h
             else:
                 stage[i,:] = bed[i,:]
-                
+
         domain.set_quantity('stage', stage)
 
-        domain.distribute_to_vertices_and_edges()    
+        domain.distribute_to_vertices_and_edges()
 
 
@@ -65,8 +65,8 @@
         self.X = C[:,0:6:2].copy()
         self.Y = C[:,1:6:2].copy()
-        
+
         self.F = bed
 
-        
+
     def tearDown(self):
         pass
@@ -78,21 +78,21 @@
         import time, os
         from Numeric import array, zeros, allclose, Float, concatenate
-        from Scientific.IO.NetCDF import NetCDFFile        
+        from Scientific.IO.NetCDF import NetCDFFile
 
         self.domain.filename = 'datatest' + str(time.time())
         self.domain.format = 'sww'
         self.domain.smooth = True
-        self.domain.reduction = mean             
-      
+        self.domain.reduction = mean
+
         sww = get_dataobject(self.domain)
         sww.store_connectivity()
         sww.store_timestep('stage')
-        self.domain.time = 2. 
+        self.domain.time = 2.
         sww.store_timestep('stage')
 
         #Check contents
         #Get NetCDF
-        fid = NetCDFFile(sww.filename, 'r')  
-      
+        fid = NetCDFFile(sww.filename, 'r')
+
         # Get the variables
         x = fid.variables['x']
@@ -100,9 +100,9 @@
         z = fid.variables['elevation']
 
-        volumes = fid.variables['volumes']   
+        volumes = fid.variables['volumes']
         time = fid.variables['time']
 
-        # 2D 
-        stage = fid.variables['stage']       
+        # 2D
+        stage = fid.variables['stage']
 
         X = x[:]
@@ -127,15 +127,15 @@
             print "Stage ",S
             print "****************************"
-            
-
-        
-        
+
+
+
+
         fid.close()
-      
+
         #Cleanup
         os.remove(sww.filename)
- 
+
     def test_interpolate_sww(self):
-        """Not reaa unit test, rather a system test for 
+        """Not reaa unit test, rather a system test for
         """
 
@@ -143,5 +143,5 @@
         from Numeric import array, zeros, allclose, Float, concatenate, \
              transpose
-        from Scientific.IO.NetCDF import NetCDFFile    
+        from Scientific.IO.NetCDF import NetCDFFile
         import tempfile
         from load_mesh.loadASCII import  load_points_file, \
@@ -151,15 +151,15 @@
         self.domain.format = 'sww'
         self.domain.smooth = True
-        self.domain.reduction = mean             
-      
+        self.domain.reduction = mean
+
         sww = get_dataobject(self.domain)
         sww.store_connectivity()
         sww.store_timestep('stage')
-        self.domain.time = 2. 
+        self.domain.time = 2.
         sww.store_timestep('stage')
 
         #print "self.domain.filename",self.domain.filename
         interp = Interpolate_sww(sww.filename, 'depth')
-        
+
         assert allclose(interp.time,[0.0,2.0])
 
@@ -186,9 +186,9 @@
         point_file_out = tempfile.mktemp(".xya")
         interp.write_depth_xya(point_file_out)
-        
+
         #check the output file
         xya_dict = load_points_file(point_file_out)
         #print "xya_dict", xya_dict
-        title_list,point_attributes = concatinate_attributelist(xya_dict['attributelist'])  
+        title_list,point_attributes = concatinate_attributelist(xya_dict['attributelist'])
         assert allclose(interp.point_coordinates, xya_dict['pointlist'])
         assert allclose(interp.interpolated_quantity,
@@ -201,5 +201,5 @@
         #time_list = []
 
-        # Try another quantity      
+        # Try another quantity
         interp = Interpolate_sww(sww.filename, 'stage')
         interp.interpolate_xya(point_file)
@@ -209,5 +209,5 @@
         assert allclose(interp.interpolated_quantity,answer)
 
-        
+
         # look at error catching
         try:
@@ -218,5 +218,5 @@
             self.failUnless(0==1,
                         'bad key did not raise an error!')
-        
+
         # look at error catching
         try:
@@ -227,13 +227,13 @@
             self.failUnless(0==1,
                         'bad key did not raise an error!')
-                
+
         #Cleanup
         os.remove(sww.filename)
         os.remove(point_file_out)
         os.remove(point_file)
- 
+
 #-------------------------------------------------------------
 if __name__ == "__main__":
-    suite = unittest.makeSuite(dataTestCase,'test')
+    suite = unittest.makeSuite(Test_Interpolate_sww,'test')
     runner = unittest.TextTestRunner()
     runner.run(suite)
